h2 {
  font-size: 64px;
  line-height: 64px;
}

.gradient-block {
  background: var(--bg-gradient2);
  padding-top: 64px;
  padding-bottom: 112px;
  overflow: hidden;
}

.banner {
  margin-bottom: 97px;
  color: #fff;
  background-color: #F5EFE6;
}

.banner-top-left {
  width: 100%;
  max-width: 909px;
  padding-top: 178px;
}

.banner-image {
  width: 100%;
  max-width: 531px;
  background-color: #CECECE;
}

.banner svg path {
  fill: var(--accent-color);
}

.banner-top {
  position: relative;
  display: flex;
  width: 100%;
}

.banner-top .container {
  padding-right: 0px;
}

.banner-top h1 {
  font-weight: 700;
  font-size: 96px;
  margin-bottom: 32px;
  color: #000;
}

.banner-top p {
  font-size: 40px;
  max-width: 560px;
  margin-bottom: 32px;
  line-height: 56px;
  font-weight: 300;
  color: var(--text-color);
}

.media {
  display: flex;
  align-items: center;
  gap: 21px;
  padding-bottom: 151px;
}

.banner-bottom-img {
  display: none;
}

.banner-bottom-buttons {
  display: flex;
  align-items: center;
  margin-left: auto;
  width: 100%;
  justify-content: end;
}

.banner-bottom {
  background-color: #fff;
}

.banner-bottom .button {
  max-width: 345px;
  width: 100%;
  height: 96px;
  font-size: var(--text-size);
}

section {
  margin-bottom: 110px;
}

.who-is {
  padding-top: 119px;
}

.who-is .container {
  position: relative;
}

.who-is-image-mobile {
  display: none;
}

.who-is-image img {
  width: 100%;
}

.who-is-image {
  width: 729px;
  background-color: #F5EFE6;
  padding: 26px 34px
}

.who-is-left {
  position: absolute;
  /* background: var(--bg-gradient); */
  z-index: -1;
  top: -119px;
  padding: 26px 34px;
}

.who-is-right {
  padding: 110px;
  background: #fff;
  border: 1px solid var(--accent-color);
  width: fit-content;
  color: var(--text-color);
  margin-left: auto;
  max-width: 707px;
}

.who-is-right__subtitle {
  font-size: 29px;
  margin-bottom: 24px;
}

.who-is-right p {
  font-size: var(--text-size);
  font-weight: 300;
  margin-bottom: 20px;
  line-height: 28px;
}

.who-is-right p:last-child {
  color: var(--accent-color);
}

.welcome .container {
  position: relative;
}

.welcome-right {
  position: absolute;
  right: 0;
  top: -229px;
  width: 702px;
  z-index: 0;
}

.welcome-left {
  padding: 110px;
  width: 100%;
  max-width: 829px;
  position: relative;
  z-index: 2;
  margin-top: 229px;
  padding-right: 58px;
}

.schedule-left {
  width: 515px;
  height: 257px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  position: relative;
  margin-right: -195px;
}

.schedule-left h2 {
  text-transform: uppercase;
  margin-bottom: 12px;
  font-size: 48px;
}

.schedule-subtitle {
  line-height: 64px;
  color: var(--text-color);
  text-transform: uppercase;
  font-size: 24px;
}

.schedule-right {
  background: var(--bg-gradient2);
  width: 872px;
  height: 529px;
  padding-top: 56px;
  padding-bottom: 79px;
  padding-left: 256px;
}

.schedule-day {
  color: var(--accent-color);
  font-size: 24px;
  line-height: 32px;
  margin-bottom: 10px;
  font-weight: 600;
}

.schedule-time {
  font-size: 18px;
  font-weight: 500;
  margin-bottom: 10px;
  line-height: 32px;
}

.schedule-text {
  font-size: 18px;
  font-weight: 300;
  line-height: 32px;
}

.schedule-block {
  margin-bottom: 48px;
}

.our-classes h2 {
  text-align: center;
  font-weight: 500;
  font-size: 48px;
  line-height: 64px;
  margin-bottom: 42px;
}

.our-classes .flex-wrapper {
  gap: 21px;
}

.our-classes-bottom {
  background-color: #fff;
  padding: 25px 24px 24px 25px;
  margin-top: -3px;
}

.our-classes-bottom h3 {
  font-size: 32px;
  line-height: 32px;
  font-weight: 600;
  color: var(--accent-color);
	text-align:center;
}

.our-classes-subtitle {
  font-size: 18px;
  font-weight: 400;
  line-height: 32px;
  color: #000;
  margin-bottom: 15px;
	text-align:center;
}

.our-classes-bottom .button-transparent {
  width: 100%;
  height: 48px;
  font-size: 18px;
  gap: 12px;
  margin-top: 12px;
}

.our-classes-bottom .custom-list li {
  margin-bottom: 3px;
}

.our-classes-content.hidden {
  overflow: hidden;
  transition: 0.3s;
  height: 0;
  display: block;
}

.our-classes-content strong {
  font-size: 18px;
  line-height: 24px;
  font-weight: 500;
}

.our-classes-content p {
  margin-bottom: 6px;
}

.our-classes .button.button-dark {
  width: 142px;
  height: 40px;
  font-size: 16px;
  line-height: 400;
  margin: auto;
  margin-top: 64px;
}

.bottom-flex {
  min-height: auto !important;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}

.reviews h2 {
  font-size: 48px;
  line-height: 64px;
  margin-bottom: 33px;
  font-weight: 500;
  text-align: center;
}

.our-classes-block {
  overflow: hidden;
	width:100%;
}

.our-classes-subtitle-big{
	text-align:center;
	max-width:900px;
	margin:auto;
	margin-bottom:48px;
	color: var(--text-color);
	font-size: 18px;
  font-weight: 400;
  line-height: 32px;
}

.our-classes-block img{
	max-height:383px;
}

.instagram h2{
  text-align:center;
  font-weight: 500;
  font-size: 48px;
  line-height: 64px;

}

@media screen and (max-width: 1150px) {
  .who-is-right {
    padding: 90px;
  }

  .welcome-left {
    padding: 90px;
  }
}

@media screen and (max-width: 1024px) {
  .banner-bottom-img {
    display: block;
    margin-bottom: -4px;
  }

  .welcome .container {
    display: flex;
    flex-direction: column;
  }

  .banner {
    color: var(--black);
    margin-bottom: 0;
  }

  .banner-top .banner-image {
    display: none;
  }


  .banner svg path {
    fill: var(--black);
  }

  section {
    margin-bottom: 64px;
  }

  .who-is-left {
    display: none;
  }

  .who-is-right {
    margin-left: 0;
    max-width: unset;
  }

  .who-is {
    padding-top: 0;
  }

  .who-is-right {
    padding: 0;
    background-color: transparent;
  }

  .who-is-right,
  .who-is-right .main-title,
  .who-is-right p:last-child {
    color: var(--black);
  }

  /* .who-is-right {
    background-color: #fff;
    padding: 0;
  }
  .who-is-right h2,
  .who-is-right__subtitle,
  .who-is-right p,
  .who-is-right p:last-child {
    color: var(--black);
  } */

  .welcome.gradient-block {
    background: transparent;
    padding-top: 0;
    padding-bottom: 0;
  }

  .welcome-right {
    position: relative;
    top: 0;
    width: 100%;
  }
  .welcome-left {
    margin-top: 0;
    max-width: 100%;
    margin-top: -4px;
    background: var(--bg-gradient);
  }

  .banner-top {
    background: transparent;
    padding-top: 24px;
    text-align: center;
  }

  .banner-top p,
  .media {
    margin: auto;
  }

  .banner-top p {
    margin-bottom: 16px;
  }

  .media {
    width: fit-content;
    padding-bottom: 24px;
  }

  .banner-top img {
    max-width: 341px;
    bottom: -349px;
  }

  .banner-bottom {
    width: 100%;
  }

  .banner-bottom .button.button-primary {
    margin-left: auto;
  }

  .who-is-image-mobile {
    display: block;
    overflow: hidden;
    margin-bottom: 12px;
    border: 12px solid #F5EFE6;
  }

  .who-is-image {
    display: none;
  }

  .who-is {
    padding-bottom: 1px;
    margin-bottom: 0;
    padding-top: 24px;
  }

  .who-is .main-title {
    font-size: 32px;
    line-height: 64px;
    margin-bottom: 12px;
  }

  .who-is-right__subtitle {
    font-size: 21px;
    line-height: 32px;
    margin-bottom: 12px;
  }

  .who-is-right p {
    font-size: 16px;
    line-height: 26px;
  }
}

@media screen and (max-width: 860px) {

  .dark-block {
    border: none;
  }
	
	.our-classes-block img{
		max-height:unset;
	}
  .main-title {
    font-size: 32px;
    line-height: 56px;
  }
  .schedule .flex-wrapper {
    flex-direction: column;
  }

  .schedule-left {
    width: 100%;
    margin-right: 0;
  }

  .schedule-right {
    padding-left: 40px;
    border: 1px solid var(--accent-color);
    padding-bottom: 0;
    width: calc(100% - 64px);
    margin: 24px auto;
    
  }

  .schedule {
    margin-bottom: 0;
  }

  .schedule .container {
    padding-left: 0;
    padding-right: 0;
  }

  .schedule .dark-block {
    background: #fff;
    border: 1px solid var(--accent-color);
  }

  .schedule .main-title {
    color: var(--text-color);
  }

  .schedule-subtitle {
    color: var(--text-color);
  }

  .our-classes.gradient-block {
    background: #F5EFE6;
  }

  .our-classes .flex-wrapper {
    flex-direction: column;
  }

  .our-classes-block {
    padding: 22px;
    background-color: #F5EFE6;
  }

  .our-classes-bottom {
    background-color: #F5EFE6;
  }

  .banner-top h1 {
    font-size: 72px;
  }

  .banner-top p {
    font-size: 32px;
  }
	
	.instagram{
		padding-top:48px;
	}
}

@media screen and (max-width: 600px) {
	
	.our-classes-subtitle-big{
		padding:0 15px;
		font-size:16px;
		line-height:24px;
	}

  .banner-top-left {
    padding-top: 80px;
  }

  .who-is-right br {
    display: none;
  }

  .welcome {
    margin-bottom: 0;
  }

  .our-classes .button.button-dark {
    display: none;
  }

  .our-classes .container,
  .welcome.gradient-block .container {
    padding: 0;
  }

  .welcome-left {
    padding: 24px 32px;
  }

  .banner-top h1 {
    font-size: 42px;
    line-height: 100%;
    margin-bottom: 16px;
  }

  .banner-top p {
    font-size: 22px;
    line-height: 24px;
  }

  .banner {
    margin-bottom: 0px;
  }

  .banner-top img {
    max-width: 241px;
    bottom: -249px;
  }

  .our-classes {
    margin-bottom: 24px;
    padding-bottom: 0;
  }

  .our-classes .flex-wrapper {
    gap: 32px;
  }

  .welcome .main-title {
    font-size: 32px;
    line-height: 48px;
  }

  .custom-list li,
  .dark-block p,
  .schedule-text,
  .schedule-time {
    font-size: 16px;
  }

  .schedule .main-title {
    font-size: 42px;
    line-height: 56px;
    margin-bottom: 12px;
  }
  .schedule-left {
    height: 277px;
  }

  .our-classes h2,.instagram h2 {
    font-size: 32px;
    line-height: 64px;
    margin-bottom: 24px;
    color: var(--text-color);
  }
	
	.instagram h2{
		margin-bottom:0;
	}

  .schedule-right {
    padding-top: 24px;
    height: unset;
    padding-right: 33px;
  }

  .schedule-block:last-child {
    margin-bottom: 24px;
  }

  .our-classes-bottom .button-transparent {
    width: 100%;
  }

  .banner-bottom .button {
    height: 64px;
  }

  .our-classes-bottom {
    padding: 24px 12px 20px;
  }

  .schedule-subtitle {
    line-height: 32px;
  }

  .schedule-block {
    margin-bottom: 32px;
  }
	
	
	.reviews h2{
		line-height:40px;
		font-size:32px;
		margin-top:48px;
	}
}
